Pessoal do Arch-based preciso de um programa no aur

Não sei como formular uma pergunta para isso. Um dos únicos problemas que tenho com a base arch é que não tem o Xmind 8 funcional nas distros base Arch. Alguma alma bondosa consegue compilar ele e ser o mantenedor dele no aur? Pois, sou totalmente noob em relação a isso e tenho colegas que estão precisando desse app nas distros deles.
Agradeço pela atenção.

1 Curtida

você mesmo pode fazer isso, sabendo um pouco de shell script e makepkg

aqui tem uma lista melhor do que você precisa saber pra upar pacotes no aur:
https://wiki.archlinux.org/index.php/AUR_submission_guidelines_(Português)

Creio que seja isto que vc esteja procurando.

https://aur.archlinux.org/packages/xmind

Sources

2 Curtidas

Esse não funciona? AUR (en) - xmind
Observe a dependências.

E tem um tutorial no próprio site deles, já testou?
https://www.xmind.net/m/PuDC/

1 Curtida

Eita, acabei respondendo o mesmo que você praticamente haha, mals

Já instalei esta versão no Manjaro a poucos dias. Mas, não rolou.

Está disponível no formato Flatpak.

https://flathub.org/apps/details/net.xmind.XMind8

1 Curtida

O problema é incompatibilidade com as versões 11 e 12 do Java, compilei um pacote para teste aqui no arch e o app falha ao abrir, modifiquei o arquivo xMind.ini comentando a linha --add-modules=java.se.ee e utilizei o java 10 assim como recomenda a wiki e funcionou perfeitamente. Resolvi instalar do aur para teste e tive o mesmo problema, tive que comentar --add-modules=java.se.ee.

O arquivo Xmind.ini se encontra em:

usr/share/xmind/XMind/XMind.ini

Isso mesmo que tem que se fazer, está nos comentários da AUR desde fevereiro o pedido para remover essa linha do PKGBUILD, mas até agora nada do mantedor remover/corrigir.

Exatamente, uma coisa tão fácil de corrigir, basta o dev remover a linha

echo “–add-modules=java.se.ee” >> ${pkgdir}/usr/share/${pkgname}/XMind/XMind.ini

ou comentar no PKGBUILD.

echo “# --add-modules=java.se.ee” >> ${pkgdir}/usr/share/${pkgname}/XMind/XMind.ini